News, changes and fixes in gnuplot version 4.0
==============================================

Below you find list of news, changes and fixes in gnuplot version 4.0
and older.

Please see also section "What is New in Version 4.0" in gnuplot documentation
(files gnuplot.gih, gnuplot.hlp, gnuplot.inf, etc.) available by the command
    gnuplot> help new
from gnuplot 4.0. You may find it also in files gnuplot.pdf, gnuplot.html
or gnuplot.info optionally available in your distribution, or online at
    http://www.gnuplot.info/docs/gnuplot.html#What_is_New_in_Version_4.0


Mouse and hotkey support in screen terminals

  The pm, x11, ggi and windows terminals support interactive work with mouse
  and hotkeys. The usage of the mouse is mainly self-explanatory. Just type 'h'
  in the graph window (hereafter we mean either PM, X11, ... terminal window)
  and a short overview of commands will pop up. The mouse is turned on and off
  with the hotkey 'm'. See 'help mouse' and 'help bind' for more details.

  The coordinates of mouse clicks are exported to variables MOUSE_X, MOUSE_Y,
  MOUSE_X2, MOUSE_Y2, and MOUSE_BUTTON accessible from the gnuplot command
  line. This allows gnuplot scripts to alter their behaviour based on
  interactive mouse input. See 'help mouse variables' and 'help pause mouse',
  and the example script demo/mousevariables.dem. Further it allows interaction
  of a gnuplot mouseable terminal and external programs in C, Python, Octave,
  etc. using gnuplot as their graph engine. This is demonstrated on gnuplot web
  page in section "Programming interfaces - bidirectional interaction".


Brief list of news in gnuplot 4.0:

* CHANGE sample calculated "smooth csplines" only in actual xrange
* CHANGE 'set term gif' compile-time option to write PNG format instead
* CHANGE pattern fill styles are uniform across all supporting terminals
* CHANGE X-window plot and font size is used to adjust plot layout
* CHANGE 'set key {on|off|default}' is preferred method for controlling key
* CHANGE mouse position is tracked in all X windows (not just current one)
* NEW enhanced text mode for additional terminal types
* NEW built-in function 'defined(<variablename>)'
* NEW mouse input information is exported to user-accessible variables
* NEW 'set term png' and 'set term jpeg' using modern GD library
* NEW set size ratio now works for splots, too
* NEW grid options: {layerdefault | front | back}
* NEW plot option "smooth frequency"
* NEW terminal names now sorted alphabetically
* NEW "with palette" also for points
* NEW plotstyle "with filledcurves"
* NEW 'set style fill' applies to boxes, boxxyerror, boxerror, candlesticks
* NEW "set boxwidth <number> relative"
* NEW options to FIG terminal driver
* NEW parse errors in datafile reading now show the culprit
* NEW labels can be printed attached to a point
* FIXED interaction of "set xtics <incr>"  with time/date axes
* FIXED candlesticks now ignore order of high/low entries
* FIXED keeping old arrow options if new "set" command modifies it
* FIXED undoing a mouse zoom that started from autoscaled axis
* FIXED contour line colours in pm3d's "with palette" mode
* FIXED PostScript stack pollution caused by "Symbol Oblique" patch
* FIXED warnings from perl -w in tkcanvas terminal output
* FIXED dgrid3d floating point exception
* FIXED logscaled colorbox axis
* FIXED pgnuplot for Windows NT/2K/XP


Time-organized list of news until gnuplot 4.0:

[3.8k]
* NEW let gnuplot on windows support -persist option
* NEW encoding koi8-r
* NEW 'set term x11 title "title"' and 'set term x11 close'
* NEW 'test palette'
* NEW 'set palette palette <n>' options {float|int} and output to that of
  'set print'
* NEW enhanced text mode for x11 gd pdf and dumb terminals
* UPDATED aquaterm terminal driver (Mac OS X). Requires AquaTerm 1.0 or later.

[3.8j]
* NEW 'show palette fit2rgbformulae'
* NEW 'set datafile commentschars {"<chars>"}'
* NEW 'set datafile separator {whitespace | "<char>"}'
* CHANGE terminal provided by openstep is called "openstep", not "next"
* CHANGE terminal provided by gnugraph is called "gnugraph", not "unixplot"
* NEW pm3d option corners2color
* NEW PM3D support for pstricks terminal
* NEW configure option --with-gihdir to specify location of .gih file
* NEW aquaterm terminal driver, for MacOS X

[3.8i]
* NEW 'set style arrow' and back angles for arrow heads.
* NEW option 'set view map'
* NEW encapsulate PFA, PFB, TTF font file definitions into postscript files:
  option `set terminal postscript ... fontfile`
* NEW command 'set fontfile'
* NEW color modes for pm3d, see `help palette`
* NEW option `set terminal postscript ... palfuncparam`
* NEW set key {no}autotitles
* NEW arbitrary text rotations; 'set label ... [no]rotate [by] ...'
* NEW set arrow ... filled | nofilled ...
* NEW set title ... textcolor ...
* NEW set [x|y|z|cb|...]label ... textcolor ...
* NEW set label ... textcolor ...
* NEW show plot add2history
* NEW explicit coloring of splots ... with lines|points palette according to
  the 4th column in the data file
* NEW pm3d option {no}ftriangles
* NEW splot ... with pm3d {at option}
* CHANGE pause supports subsecond time resolution (on systems supporting it)
* CHANGE "configure --with-x11-driver" and "set term x11 driver" removed.
* CHANGE gnuplot_x11 now goes to $pkglibdir/$version, not $bindir
* NEW environment variable GNUPLOT_DRIVER_DIR to override that path
* NEW set log cb - since now, z and cb axes are completely independent
* NEW set decimalsign
* NEW set key {no}enhanced
* NEW pm3d splots support independent z and color coordinates according to an
  optional 4th column of using
* NEW X11 can rotate text

[3.8h]
* NEW set key height <height>

[3.8g]
* CHANGE set label with any line type (colour), point type and point size
* CHANGE use either two or five minitic steps, never 4 (in logscale)
* CHANGE reject candlesticks/financebars plots of to few colums --- warn
  and then plot with "points", instead
* NEW Hotkeys to access clipboard in MS Windows version
* NEW set style [data | function] filledcurves {options}
      plot ... with filledcurves {options}
* NEW autoscale options: `fix`, `keepfix`
* NEW some more fancy 3D demo plots
* NEW mouse support and PM3D are now enabled by default
* NEW more point symbol types in Windows terminal
* FIXED PostScript font reencoding for non-default fonts
* FIXED dgrid for logscaled axes
* FIXED tic generation for axes that have |min/max| very close to 1
* FIXED several "impossible" parse erros in "show" command.
* FIXED bounding box of PSLatex generated .eps files
* (attempted) FIX: X11 deadlocks caused by stdio buffering vs. select()
* FIXED baseline of "histeps" plots with logscaled or shifted y axis.
* FIXED document spherical coordinates by reference to latitude/longitude
* FIXED warn about missing HOME directory only in interactive mode
* FIXED tpic terminal coordinate handling

[3.8f]
* NEW pipes under Windows (if compiled by MingW)
* NEW PDF terminal driver --- needs PDFlib
* NEW SVG terminal driver
* NEW epslatex & EMF terminal drivers now always built in
* NEW PM3D support for CGM, GGI and tgif terminals
* NEW PM3D "set palette maxcolors" support for X11 and PostScript
* NEW special maths function lambertw()
* NEW axis for the color box
* NEW encodings ISO-8859-2 and CP-852 for PostScript terminal
* NEW PM terminal uses codepage 912 for	iso_8859_2 encoding
* NEW "index" option for "matrix" type datafiles
* NEW commands 'set term push' and 'set term pop'
* NEW much extended EEPIC terminal driver
* NEW implement "clear" for Windows and OS/2
* NEW option "picsize" for PNG terminal
* NEW mouse support for MS Windows
* FIXED endless loop if both 'set timefmt' & 'set xtics <incr>'
* FIXED detection of too new gd library without GIF support
* FIXED interaction of autoscaling and "set size ratio"
* FIXED PM3D allocated too many colors for multiplots
* FIXED key sample line types in contour plots
* FIXED timefmt parsing of "01Dec2000" vs. Fortran doubles
* FIXED MS Windows pause box eating 100% CPU
* FIXED ooold problem with HP-UX GCC breaking tic positioning
* FIXED positioning of multiplots
* FIXED correct rounding of exponents for %[SLT] --- needs %s to come first
* FIXED ticmarks for very short axes (max - min < DBL_EPS)
* FIXED "show ticslevel" and "show ticscale"
* FIXED parse errors after "set xdata time"
* FIXED MSDOS file corruption if re-opening same "set output"
* FIXED reject many-column plot styles when plotting a function

[3.8e]
* NEW Major new feature "pm3d" for color plotting (formerly a branch version)
* NEW set label can print numbers into the label text
* NEW hidden3d allows non-grid datasets to be part of the plot
* NEW hidden3d works with contour lines
* NEW overprinting feature for PostScript revised
* NEW Windows terminal now has linewidth support from inside gnuplot
* NEW table terminal will output additional colums some plot styles
* FIXED hidden3d display of tics and axes

[3.8d]
* NEW <Space> in Windows graph window beams focus to text window
* NEW point sample and offset options for "set label" 
* NEW relative endpoints and choosable head shapes for "set arrow"
* NEW interactive inline data input now has a prompt
* NEW terminal driver epslatex --- like pslatex
* NEW terminal driver GGI
* NEW experimental driver for Enhanced Metafile Format (EMF)
* NEW %s timefmt for reading seconds since the epoch
* FIXED Pslatex actually changes the fontsize
* FIXED PSTRICKS and EEPIC bounding box
* FIXED output of filenames in enhanced-text terminals
* FIXED reading of ~/.Xdefaults
* FIXED block mouse-generated replot if inline data in use
* FIXED 3D clipping of "key below" or "outside" samples
* FIXED zeroaxes bug introduced by vector clipping
* FIXED bug with "smooth unique" inrange/outrange conditions
* FIXED autoscale writeback bug (see BUGS entry 3)
* FIXED png parser bug
* FIXED buggy `show m[xyz][2]tics' command
* FIXED bug in `show key' if key is boxed
* FIXED building on VMS
* FIXED bug in 3d plot introduced by mouse code 
* terminal-dependent configuration of GNU readline
* updated FIG terminal driver to new file format version

CGM terminal mods:
* NEW: files are now compliant with MIL-D-28003A.
* NEW: Standard font table now includes the standard WebCGM fonts and
  the Hershey fonts.  Gnuplot knows the widths of the standard fonts.
  Default font is now "Helvetica Bold".  New fonts can be added to the
  table without deleting the standard ones.
* NEW: open markers.  yellow removed due to poor visibility.  Orange
  and gray added.  User can specify new line colors.
* UPDATE: "winword6" option is now just a deprecated synonym for
  "nofontlist".
* FIXED: Font height handling (e.g. crowded keys)
* FIXED: "solid" option.
* FIXED: linewidth changes were sometimes applied to the wrong lines.

[3.8c]
* NEW mouse support for OS/2 and X11
  - --enable-mouse option
  - --with-X11-driver option
  - new commands "bind", "set historysize", "set mouse",
    and "set label [no]pointstyle".
* NEW configure.vms script for VMS
* NEW oblique symbol font for ps driver
* NEW introduce pipe for load command gnuplot> load "< ...".
* FIXED typo in save xrange
* FIXED defunct 'unset [xyz]tics' commands
* FIXED segfault in pslatex driver
* FIXED crash in OS/2 REXX code
* FIXED crash in fit code
* FIXED bug in 3d plot size after setting nokey
* FIXED bug in postscript epsf option
* don't put pslatex's postscript code into preamble, as this will
  only use the settings for the last picture if several pictures
  are present
* the results of unset border and unset clabel are different
  from reset

[3.8b]
* retain backwards compatibility for old syntax
* ongoing work: modularisation
* NEW, improved version of hidden3d code
* --enable-history configure option renamed to --enable-history-file
  to avoid mixup with new 'history' command
* fix to find gethostbyname(3) on LynxOS
* added new implementation of hidden3d code
* FIXED png driver now shares web-friendly palette with gif driver;
  also new transparency option and user defined colour specs
* FIXED data format for table driver
* FIXED monochrome plots with Windows driver
* FIXED bug in contour handling
* FIXED clipping of contour input points outside fixed ranges
* FIXED bug in coordinates saving
* history command now works with GNU readline
* implemented vector style clipping for 2D plots
* UPDATED gnugraph driver now requires plotutils 2.2+
* UPDATED platform makefileS
* UPDATED hpgl driver
* UPDATED FAQ

[3.8a]
* doc2texi.el, gnuplot.texi added; remove doc2info.c,
  doc2html.c, doc2texi.pl, and fixinfo.el; the info
  and html files are now created with makeinfo, the
  latter requires makeinfo (GNU texinfo) 4.0
* FIXED the 'set ?range' commands now use a decimal point
  to prevent integer overflow on 16 bit platforms
* FIXED 'save'd files are now consistent with the new syntax

[3.7.0.10 - internal only]
* removed DJGPP version 1 support
* improved version of stdin wrapper for Win32
* ongoing work: rewrite of input parser
* gnuplot now passes the correct return value back to
  the environment
* FIXED buffering bug in gnuplot_x11
* FIXED crash in 16bit Windows
* FAQ updated
* FIXED some inconsistencies in error messages and the manual
* INCOMPATIBLE CHANGE: the 'set data style', 'set function style'
  and 'set linestyle' commands have been removed. They have been
  replaced with 'set style data|function|line'. The 'set nolinestyle'
  command, however, is still available for the time being.
* NEW 'system', 'unset' command
* INCOMPATIBLE CHANGE: all 'set noVariable' commands have been
  replaced with the new 'unset Variable' command.
* NEW 'save term' option
* FIXED building on NeXT
* NEW 'history' command, by Petr Mikulik. Currently works only
  without GNU readline.
* FIXED gnuplot now checks for minimum and maximum of required columns
  in data plots
* UPDATED VMS build procedures
* gnuplot-mode updated to 0.5j
* FIXED reversed 'set {x|y}zeroaxis' behaviour
* FIXED plotting of test page before line properties are specified completely
* UPDATED metapost driver
* better modularisation

[3.7.0.9]
* moved some declarations to new header files
* more static arrays removed or replaced with malloc'd storage
* duplicate functions removed
* driver for OpenStep/MacOS X server now complete
* FIXED bug in plot positioning with multiplot
* FIXED bug in J. Pepin's layers patch
* FIXED bug in M. Gardner's help formatting patch
* FIXED definition of ANSI_C on autoconf platforms
* FIXED argument passing to gnuplot_x11 on VMS
* NEW `save' command now accepts "-" as filename, "saving" to stdout
* INCOMPATIBLE CHANGE: "%y" date specifiers are now interpreted according
  the recommendations of The Open Group. When a century is not otherwise
  specified, values in the range 69-99 refer to the twentieth century and
  values in the range 00-68 refer to the twenty-first century.

[3.7.0.8]
* embedding document font is now default font in latex output
* static limits for user defined function and variable names removed
* 'make check' now passes GNUTERM from the command line to gnuplot.
* FIXED off-by-one error in gif driver y-scaling
* gnuplot-mode updated to 0.5g
* FIXED errors in 'set view <z_scale>'. Related demos have
  been updated too.
* src directory now uses automake Makefile
* #error and #warning directives have been removed.
* more efficient way of building docs/allterm.h
* FIXED auxiliary ps filename generation in pslatex driver

[3.7.0.7]
* FIXED timestamp positioning problem in X11 terminal
* FIXED exit/quit in batch files now works as documented
* FIXED 'replot' with no args does not discard rest of
  ';' separated command line anymore
* no more fixed limit to the number of contour levels,
  now allocated dynamically
* improvements in the OS/2 mouse driver
* backtic command substitution now works inside quoted strings
* NEW driver for metapost output
* NEW driver for openstep/MacOS X Server
* NEW perltk driver integrated into tkcanvas driver
* NEW loadpath feature, uses GNUPLOT_LIB env var
  see 'help environment' and 'help loadpath'
* updated to version 0.5f of gnuplot-mode
* CHANGE in command line substitution:
  Newlines in the output produced by the spawned command are
  stripped. They are NOT replaced with blanks anymore. This is
  a possible source of incompatibility.
* CHANGE gnuplot's error and warning functions now accept a
  variable number of arguments. On platforms without vfprintf
  or doprnt, the number of format-dependent arguments is
  limited to 8.

[3.7.0.6]
* Petr Mikulik's OS/2 mouse patch integrated
* 'make check' now runs demos non-interactively
* Linux SVGA driver: don't drop root priviledge until VGA is initialised
* LaTeX tutorial updated for LaTeX2e
* gnuplot-mode updated to 0.5e
* old patches for postscript driver integrated:
  different colours for key text and sample (blacktext),
  linewidth, dashlength options
* extensions to tkcanvas driver
* fixes in fig and metafont drivers
* bugfixes related to secondary axes (show/nologscale)
* new '--without-lisp-files' and '--without-tutorial' configure options
* new targets to build documentation with groff
* quoting bug fixed 
* new files VERSION, PATCHLEVEL, README.exp

[3.7.0.5]
* another off-by-one error fixed in pstricks driver
* updated to latest version of gnuplot-mode
* added tilde-expansion of filenames
* win/pgnuplot.c added, stdin redirection for gnuplot
  under Windows
* extended interactive Tk/Tcl capabilities
* only read from stdin if the complete filename is "-"
* added fitting of time format data
* workaround for the bug that made 'set key below' sometimes
  lack some of the key texts
* build lisp files, LaTeX tutorial only if emacs, latex, resp.
  are found
* moved CVS repository to new dir structure
* gnuplot can now be compiled with GNU libplot 2.2
* docs/doc2hlp.com renamed to docs/doc2hlp.vms pending better solution

[3.7.0.4]
* switched to new directory structure!
* fix to plot all lines in multiline labels within plot borders
* hardwire terminal sources into docs/Makefile.in
* better docs for 'set missing'
* hopefully complete fix for off-by-one error in pslatex driver
* fix core dump in alloc.c (only relevant for memory debugging)

[3.7.0.3] (released as patch only)
* brush up the various platform makefiles
* typo in plot.c free() statement fixed
* some fixes in the Be driver

[3.7.0.2]
* add pgp keys
* NEW driver for BeOS
* X11 driver now uses ececvp() instead of execl()
  to eliminate intermediate shell process
* NEW gnuplot-mode.el for X/Emacs
* update to OS/2 REXX interface
* more drivers enabled by default under OS/2
* Bezier interpolation rewritten to prevent overflow
* Windows linestyle fixed
* introduce layers (front, back) for labels and arrows
* tiny and giant fonts added to gif driver
* tilde expansion; (does not work for "cd" and "set output")
* GNU readline related:
    new syntax for --with-readline option in configure
    no more duplicate history entries
    use gnuplot history file
* SECURITY: --with-linux-vga=no is now default
* SECURITY: better control when Linux executable with
  SVGAlib access actually runs as root
* SECURITY: potential risk fixed in iris4d terminal
* EXPERIMENTAL: new --enable-thin-splines option in configure
  to enable thin plate splines in plot3d.c
* configuration: --enable-apollo, --enable-gpr and --enable-unixpc
  options removed, related code is now in syscfg.h.
  --enable-cgi and --enable-sun options removed, now automatically
  detected at configure time. --enable-system-time option removed.

[3.7.0.1]
* bug fix for negative aspect ratio
* bug fixes in the cgm, eepic, png, and pslatex driver
* bug fix in the data fitting code
* bug fixes for HP-UX, NEXT, and Windows
* bug fixes for save and set lmargin commands
* better makefile for Amiga SAS/c



What's new in 3.7 ?
===================

from 315 to 348
  makefile.mgw contributed by HBB for compilation under MinGW32
  "-" means interactive on command line and load file
  gnuplot no longer faults on Alpha in prob.dem
  margin and label-positioning works with set ?label offset
  set ?tics auto resets the tic-marks
  line widths get copied in M$ Windows terminal when using the
     copy->clipboard option
  PSLATEX-terminal: resolves problems with german.sty when " is
     active character
  the terminal list gets paged through your preferred pager
  
  and many more.

See docs/old/ChangeLog.old and ChangeLog for a list of changes

  As always, there are outstanding contributed patches
 that I haven't yet installed (sorry), and half-promises for features
 that I've not had a chance to fulfill.

in this release (somwhere between 315 and 347)
  try to improve (and not break too badly) portability
  multiple X11 windows have number in window title, and active window
   has crosshair cursor

in 315
  suppress ! after a ! command in interactive mode
  address polar mode

314
  misc bug fixes

310
  HBB's hidden3d fix
  latest gnuplot.doc and term/*.trm help sections
  configure --with-gnu-readline[=path]

in 309
  sorry Roger ; os2 keeps on improving, but I forget to announce it
   {and often incorporate it !}
  relative errors displayed in fit

in 306
  histeps style
  LINE WIDTH PATCH !  {but many structures passed by value ?}
  tolerate missing closing backquote at end of line
  no limit on output filename
  set key samplelen / spacing
  plot ... axis   alias for  plot ... axes
  Thomas Koenig's postscript test for reencoding on the fly [at last]
  multiplot clear for djsvga
  size option on gif driver
  
in 300
  FINALLY moved the axes syntax over to plot ... axes x1y1 ...
  3d fitting ; FIT_INDEX no longer supported/needed (see fit.dem)
  added data columns -1 for line and -2 for index, for 3d fit
  had another go at the VPATH stuff for configure / make  

in 297
  back out unwanted feature of basing tics on relative size/font
  add financebars / candlesticks - size controlled by set bar
  plot 'file' using 0:1 gives x=0,1,... as gnuplot 3.5
  optional keyword 'font' in set xlabel 'text' dx,dy [font] "font,size"
  fix undefined points in splines

in 293/294
  ICCCM export of the x-window (allow paste into compliant apps ie NTRIGUE)
  print "string", expression, "string", ...
  set size square has been generalised to
    set size { square | ratio <r> | noratio }
    where <r> is an aspect ratio of height / width
  (at last) Hans-Bernhard Br"oker's changes, including fit fix and
    new hidden line removal routine
  plot line is commited to replot line at last possible moment, so
    that typos in complex plot do not ruin everything
  time routines separated into time.c - option to use system time
   routines instead of the gnuplot ones. Undocumented command
   testtime 'format' 'string'  to assist testing of time routines
  small changes to the terminal handling : hide details in term.c
  new shared makefile strategy : makefile.all


in 273
  pslatex driver takes solid/dashed
  cgm driver (ms-office applications ?)
  accept  using ::4  as shorthand for  using 1:2:4
  accept lp as abbreviation of linesp

in 268
  asinh() etc
  gnuplot -persist  and  set term x11 [reset] <n>
  gif terminal driver [not new in this release, but not mentioned before]

in 261
  compile on windows NT
  /end and /noend options in windows gnuplot
  first attempt at  timecolumn() and tm_sec() family of functions
  splot 'file' matrix

in 248 (?)
  try *again* to fix the postscript bounding box
  ALL TERMINALS UPDATED (thanks Stefan !)
  Continue to move help out of gnuplot.doc into terminal driver files (thanks Joerg)
  address problems with splines in log scales - NOTE that we take logs
   and then fit splines
  %T in gprintf prints as %d not %f hence no trailing .0000
  set locale  only affects LC_TIME (for the moment ?)
  make start optional in series tics, ie accept
    set [xyz]tics {start,}step{,end}
  also, if start or end not specified, treat as computed, and autoextend
    plot to a multiple of tics

in 242
  allow negative ticslevel
  geometric series tics for logscale
  enhanced sprintf format for tics - extra format characters available
    %x %o %e %f %g  %t %T %l %L %s %S %c
  take plot size and driver into account when choosing tics
  accept x1y2 etc in place of first/second
  extra line in boxed key
  x2 label
  fonts for label
  strftime format for 'set time'
  more timeseries patches
  set locale
  try to fix postscript bounding box

in 224
  set clabel ['format']
  pstexdriver
  set encoding
  enhpost moved into post.trm
  index a:b:c for splot

in 194
  multiplot for splot

in 188
  os9 port
  set xrange [] reverse writeback
  allow mix of co-ordinate systems within an arrow/label posn
  initial multiplot support
  - doesn't yet check that terminal is capable, but there is a
    flags field added to the terminal entry to tell gnuplot about this.
    also, suspend() / resume() entry points which are to be called
    between plots of a multiplot.

in 178
   arbitrary length/number of columns in datafile
   accept double/quad-precision fortran numbers (1.23{dDqQ}4)
   - but not in scanf format string
   undefined fit parameters start at 1 rather than 1e-30
   - more chance of convergence / less change of unitary matrix
   WIN32 / Win-NT support
   table output can be read back in for data splot
   - hence gnuplot can be used to dgrid a datafile and write it out
   set missing 'string'
   - nominate a token as standing for missing values in datafile
   - not yet added to documentation
   updates to time-series stuff (so it doesn't break at 2000)
   - except it has become horribly non-portable :-(
   split graph3d.c into util3d.c and hidden3d.c

in 166
   set bar <size>
   - a number rather than just small or large
   allow different linetypes for grid at major and minor tics
   a few more set no* commands for consistency.
   initial go at implementing tic mirrors and axes for splot
   - no ztic axis yet (or no zzeroaxis)
   - tics on axes are not hidden by surface
   attempt to make sin(x) behave as expected when set angle degrees
   - gives answers if x is complex, but I dont know if they are correct
     - acos(cos(x)) seems to give x, so at least its consistent
   - fix a bug which made acos(cos({0,1})) undefined
   new grass.trm

in release 162/164
   set size [{no}square] x,y  - tries to plot with aspect ratio 1
   - seems to work great for postscript
   - please check with your favourite driver
   - uses relative sizes of tics to determine required size.
   posn for key, labels and arrows can be in one of 4 co-ordinate systems
   - first_axes (default)
   - second_axes (for plot..second)
   - graph  (0,0 -> 1,1 = plotting area)
   - screen (0,0 -> 1,1 = whole screen)
   - arrows needn't have endpoints in same co-ords. see help set label
   via is now a required keyword for fit
   - fit f(x) 'file' ... via { 'file' | a,b,... }
   - this is to avoid confusing 'file' with 'using-format-string'
   win32 and 16-bit dos fixes
   - I can compile with tc++, but get an overlay error at runtime.
   new set of documentation programs (I haven't tried them)
   various tweaks to makefile
   changes to pslatex
   - substitute .ps at _last_ . in filename 
   - accept font size of enclosing document as an option.
   - dont forget to close aux file

in release 151

  linux security patch
  can specify font for labels, etc (postscript only ? - I haven't tried this)
  can specify linetype to draw grid / zeroaxes / arrows
  emx terminal driver
  first attempt at pipes for VMS and vector style - needs more work
  l/b/r/t-margin  in place of xmargin - more control over size of margins
  incompatible changes to polar mode:
  - t is now the dummy variable, so x is width of plot as expected
  - tics are not automatically on axes -   set {xy}tics axis nomirror
  - grid is not automatically polar - set grid x [mx] polar [angle]
  - no numbers on grid - they were always in degrees
  second axes
  - x2 and y2 are an independent pair of axes, but they inherit
    ranges from x and y if no second data
    - there can be problems with this, actually - if x2tics are not
      shown, x2range is not autoextended to whole number of tics, so
      same data might not have same range.
  - set x2tics/y2tics/x2label/y2label
  - set [no]log x2 / y2
  - plot [first,] f(x), 'file', ..., second, g(x), ...
  - get specify grid at any/all of x,y,x2,y2
  - see electron.dem
  set border <mask> - 12 bit binary number selects 12 sides of cube around splot
  can specify grid z, to get a grid on back wall of splot
  set mxtics [<interval>|default] | set nomxtics
  - set mxtics  gives auto for logscale, fixed for linear 
  binary, index and every keywords to datafiles.
  - every also works with binary files
  can use '-' as datafile for inline data (ends at line with e)
  can use '' to mean reuse previous file
  splot and fit now use datafile module
  - FIT_SKIP no longer supported - use fit f(x) 'file' every n
  can limit fit range using   fit [variable=min:max] f(variable) ...
  set ticscale <major> [<minor>]
  surface is clipped with no hidden line removal
  - still to do contour and hidden-line surface
  set {x|y|x2|y2} [axis|border] [no]mirror
  - can put tics on border or axes
  - mirror controls mirroring of tics on opposite axis
    - no longer coupled to  set tics out  setiing.
  No longer need to specify parametric mode for 3-column data files.
  ranges automatically extended to whole number of tic intervals
  - doesn't always manage to drop vertical from surface to corner of base
    - workaround is either specify range or use  set border

patchlevel 140
--------------
I've probably missed a lot of features since I'm so used to them.
Plus I never bothered with 3.5 so some of these may have been there.
some of these may have made it into the documentation
Here goes:

  fit f(x) 'file' via ...
  read and plot time data  (timedat.dem)
  set key [top|bottom|under] [left|right|out] [reverse] [box [<linetype>]]
  set key title 'text'
  Processing of escape sequences in "strings" but not 'strings'
  - TeX users in particular advised to use ''
  Multiline labels, etc, using "first\nsecond"
  enhpost driver
  call command (load with parameters)
  x error bars. splines. boxes. [some may have been in 3.5]
  pipes for amiga
  the using patch   plot 'file' using spec:spec:...
  - spec is either column number or (expression in $1, $2, ...)
  new pslatex driver with postscript to aux file.
  set pointsize <scale factor> on some terminals
  doubles in  plot...using  format string - %lf
  unlimited input line length and expression (action) table
  minor tic-marks (like logscale but also for linear)
  - also set grid [mx|my]



that's all I can think of for the moment...


 o timeseries plots
 o enhanced X11 driver
 o Win32/NT support
 o OS9 support
 o updated copyright
 o new driver: NeXT
 o window option for Amiga driver
 o greatly improved hidden3d algorithm
 o updated postscript docs (Dick)
 o multiplot feature
 o new driver: texdraw
 o new driver: gif (requires external lib)
 o new driver: emx
 o pipe support for Amiga
 o using patch (dd)
 o enhanced postscript driver (Matt Heffron)
 o integration of Carsten Grammes's gnufit extension
 o greatly improved configuration on Unix platforms
 o fig driver updated to xfig 3.x
 o new driver: Linux svga
 o improved pslatex driver
 o new hpgl driver hp7550
 o new errorbar styles
